# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-07-05 09:35
from __future__ import unicode_literals

import ckeditor.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('news', '0021_category_mail_cta'),
        ('marketing', '0024_auto_20180609_1253'),
        ('order', '0052_auto_20180401_1653'),
    ]

    operations = [
        migrations.CreateModel(
            name='RecommendationEmails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('send_time', models.DateTimeField(verbose_name='Дата и время отправки письма')),
                ('will_send', models.BooleanField(default=True, verbose_name='Будет отправлено')),
                ('sended', models.BooleanField(default=False, verbose_name='Отправлено')),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='order.Order', verbose_name='Заказ')),
            ],
            options={
                'verbose_name': 'Рекомендательное письмо',
                'verbose_name_plural': 'Рекомендательные письма',
            },
        ),
        migrations.CreateModel(
            name='RecommendationEmailsSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('greeting', models.CharField(max_length=255, verbose_name='Шаблон приветсвия')),
                ('text', ckeditor.fields.RichTextField(blank=True, help_text='HTML template', null=True, verbose_name='Текст письма')),
                ('article_one', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='article1', to='news.Article', verbose_name='Первая статья')),
                ('article_two', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='article2', to='news.Article', verbose_name='Вторая статья')),
                ('slide', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='marketing.SliderCTA', verbose_name='Слайд')),
            ],
            options={
                'verbose_name': 'настройки рекомендательных писем',
                'verbose_name_plural': 'настройки рекомендательных писем',
            },
        ),
    ]
